libmspub::Line Struct Reference

`#include <Line.h>`

## Public Member Functions

| Line (ColorReference color, unsigned widthInEmu, bool lineExists)
| Line (ColorReference color, unsigned widthInEmu, bool lineExists, Dash dash)
bool | operator== (const Line &r) const

## Public Attributes

ColorReference | m_color
unsigned | m_widthInEmu
bool | m_lineExists
boost::optional< Dash > | m_dash

## Constructor & Destructor Documentation

## Line() [1/2]

libmspub::Line::Line | ( | ColorReference | color,
|  | unsigned | widthInEmu,
|  | bool | lineExists )

inline

Referenced by operator==().

## Line() [2/2]

libmspub::Line::Line | ( | ColorReference | color,
|  | unsigned | widthInEmu,
|  | bool | lineExists,
|  | Dash | dash )

inline

## Member Function Documentation

## operator==()

bool libmspub::Line::operator== | ( | const Line & | r | ) | const

inline

## Member Data Documentation

## m_color

ColorReference libmspub::Line::m_color

Referenced by Line(), Line(), operator==(), and libmspub::writeCustomShape().

## m_dash

boost::optional<Dash> libmspub::Line::m_dash

Referenced by Line(), Line(), and operator==().

## m_lineExists

bool libmspub::Line::m_lineExists

Referenced by Line(), Line(), operator==(), and libmspub::writeCustomShape().

## m_widthInEmu

unsigned libmspub::Line::m_widthInEmu

Referenced by Line(), Line(), operator==(), and libmspub::writeCustomShape().

The documentation for this struct was generated from the following file:

- Line.h